visualnode.hh File Reference
`#include <gecode/gist/spacenode.hh>`
`#include <gecode/kernel.hh>`
`#include <string>`
`#include <gecode/gist/node.hpp>`
`#include <gecode/gist/spacenode.hpp>`
`#include <gecode/gist/visualnode.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Gist::Layout
| Layout parameters More...
class | Gecode::Gist::BoundingBox
| Bounding box. More...
class | Gecode::Gist::Extent
| Extent representing shape of a tree at one depth level More...
class | Gecode::Gist::Shape
| The shape of a subtree. More...
class | Gecode::Gist::VisualNode
| Node class that supports visual layout More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Gist
| The Gecode Interactive Search Tool.